Skip to main content
Operations Management/Access Control/Console Service Operations

UpdateConsoleProxyAgent

UpdateConsoleProxyAgent

PUT/zstack/v1/consoles/agents/{uuid}/actions

Operation ID

UpdateConsoleProxyAgent

Since

2.3

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The resource UUID.

Body Fields

  • consoleProxyOverriddenIp
    String

    Optional. The IP address of the new console proxy.

  • consoleProxyOverriddenIpv4
    String

    Optional. The IPv4 address of the new console proxy.

  • consoleProxyOverriddenIpv6
    String

    Optional. The IPv6 address of the new console proxy.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    ConsoleProxyAgentInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The resource UUID.

    • description
      StringRequired

      The detailed description of the resource.

    • managementIp
      StringRequired

      The IP address of the management node.

    • consoleProxyOverriddenIp
      StringRequired

      The console proxy IP address.

    • consoleProxyOverriddenIpv4
      StringRequired

      The console proxy IPv4 address.

    • consoleProxyOverriddenIpv6
      StringRequired

      The console proxy IPv6 address.

    • consoleProxyPort
      IntegerRequired

      The console proxy port.

    • type
      StringRequired

      The type.

    • status
      StringRequired

      The status, including Connected and Disconnected.

    • state
      StringRequired

      The state, including Enabled and Disabled.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

  • Change Time

    AddedRequest body fields consoleProxyOverriddenIpv4, consoleProxyOverriddenIpv6AddedResponse fields consoleProxyOverriddenIp, consoleProxyOverriddenIpv4, consoleProxyOverriddenIpv6...
    View API